<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.nativeplatform.tasks Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.nativeplatform.tasks Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/plugins/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/nativeplatform/test/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/tasks/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.nativeplatform.tasks</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="strong">Object</span></a>
<ul>
<li type="circle">org.gradle.api.internal.AbstractTask (implements org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.TaskInternal)
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/DefaultTask.html" title="class in org.gradle.api"><span class="strong">DefaultTask</span></a>
<ul>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/AbstractLinkTask.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">AbstractLinkTask</span></a> (implements org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html" title="interface in org.gradle.nativeplatform.tasks">ObjectFilesToBinary</a>)
<ul>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/LinkExecutable.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">LinkExecutable</span></a></li>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/LinkSharedLibrary.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">LinkSharedLibrary</span></a></li>
</ul>
</li>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/CreateStaticLibrary.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">CreateStaticLibrary</span></a> (implements org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html" title="interface in org.gradle.nativeplatform.tasks">ObjectFilesToBinary</a>)</li>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/InstallExecutable.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">InstallExecutable</span></a></li>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/PrefixHeaderFileGenerateTask.html" title="class in org.gradle.nativeplatform.tasks"><span class="strong">PrefixHeaderFileGenerateTask</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang"><span class="strong">Comparable</span></a>&lt;T&gt;
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api"><span class="strong">Task</span></a> (also extends org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins">ExtensionAware</a>)
<ul>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html" title="interface in org.gradle.nativeplatform.tasks"><span class="strong">ObjectFilesToBinary</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.api.plugins.<a href="../../../../org/gradle/api/plugins/ExtensionAware.html" title="interface in org.gradle.api.plugins"><span class="strong">ExtensionAware</span></a>
<ul>
<li type="circle">org.gradle.api.<a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api"><span class="strong">Task</span></a> (also extends java.lang.<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Comparable.html?is-external=true" title="class or interface in java.lang">Comparable</a>&lt;T&gt;)
<ul>
<li type="circle">org.gradle.nativeplatform.tasks.<a href="../../../../org/gradle/nativeplatform/tasks/ObjectFilesToBinary.html" title="interface in org.gradle.nativeplatform.tasks"><span class="strong">ObjectFilesToBinary</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/nativeplatform/plugins/package-tree.html">Prev</a></li>
<li><a href="../../../../org/gradle/nativeplatform/test/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/nativeplatform/tasks/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
